//
//  AMTableDataSourceArrayController.h
//  A sorting, rearrangeable NSArrayController subclass
//
//  Created by Andrew Merenbach on 7/24/07.
//  Copyright 2007 Andrew Merenbach. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *AMTableDataSourceAddedObjectNotification;
extern NSString *AMTableDataSourceRemovedObjectNotification;


@interface AMTableDataSourceArrayController : NSArrayController {
    IBOutlet NSTableView *tableView;
}

//- (void)noteContentChanged:(NSNotification *)aNotification;

- (void)objectDidEndEditing:(id)editor;
- (void)addObject:(id)object;
- (void)removeObject:(id)object;

@end
